Package org.bukkit.event.entity

# Class EntityPlaceEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.entity.EntityEvent
org.bukkit.event.entity.EntityPlaceEvent

All Implemented Interfaces:
  `Cancellable`

public class EntityPlaceEvent extends EntityEvent implements Cancellable
Triggered when a entity is created in the world by a player "placing" an item on a block.
Note that this event is currently only fired for four specific placements: armor stands, boats, minecarts, and end crystals.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.entity.EntityEvent

`entity`

## Constructor Summary

Constructors
Constructor
Description
`EntityPlaceEvent(@NotNull Entity entity, @Nullable Player player, @NotNull Block block, @NotNull BlockFace blockFace)`
Deprecated.
`EntityPlaceEvent(@NotNull Entity entity, @Nullable Player player, @NotNull Block block, @NotNull BlockFace blockFace, @NotNull EquipmentSlot hand)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Block`
`getBlock()`
Returns the block that the entity was placed on
`@NotNull BlockFace`
`getBlockFace()`
Returns the face of the block that the entity was placed on
`@NotNull EquipmentSlot`
`getHand()`
Get the hand used to place the entity.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@Nullable Player`
`getPlayer()`
Returns the player placing the entity
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.

### Methods inherited from class org.bukkit.event.entity.EntityEvent

`getEntity, getEntityType`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EntityPlaceEvent

public EntityPlaceEvent(@NotNull @NotNull Entity entity, @Nullable @Nullable Player player, @NotNull @NotNull Block block, @NotNull @NotNull BlockFace blockFace, @NotNull @NotNull EquipmentSlot hand)

### EntityPlaceEvent

@Deprecated public EntityPlaceEvent(@NotNull @NotNull Entity entity, @Nullable @Nullable Player player, @NotNull @NotNull Block block, @NotNull @NotNull BlockFace blockFace)
Deprecated.

## Method Details

### getPlayer

@Nullable public @Nullable Player getPlayer()
Returns the player placing the entity

Returns:
  the player placing the entity

### getBlock

@NotNull public @NotNull Block getBlock()
Returns the block that the entity was placed on

Returns:
  the block that the entity was placed on

### getBlockFace

@NotNull public @NotNull BlockFace getBlockFace()
Returns the face of the block that the entity was placed on

Returns:
  the face of the block that the entity was placed on

### getHand

@NotNull public @NotNull EquipmentSlot getHand()
Get the hand used to place the entity.

Returns:
  the hand

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()